Main Page Modules Data Structures File List Data Fields Globals Related Pages

# blowfishParam Struct Reference
[Block ciphers: Blowfish]

`#include <blowfish.h>`

## Data Fields
uint32 | p [(16+2)]
uint32 | s [1024]
uint32 | fdback [2]

## Field Documentation

uint32 blowfishParam::fdback[2]

| Definition at line 43 of file blowfish.h. Referenced by blowfishCBCDecrypt, blowfishCBCEncrypt, blowfishSetIV, and blowfishSetup.

uint32 blowfishParam::p[ ( 16 +2) ]

| Definition at line 41 of file blowfish.h. Referenced by blowfishDecrypt, blowfishEncrypt, and blowfishSetup.

uint32 blowfishParam::s[1024]

| Definition at line 42 of file blowfish.h. Referenced by blowfishDecrypt, blowfishEncrypt, and blowfishSetup.

The documentation for this struct was generated from the following file:

- beecrypt/blowfish.h